Package org.eclipse.rdf4j.model.impl

## Class SimpleTriple

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractTriple
  - - org.eclipse.rdf4j.model.impl.SimpleTriple

- All Implemented Interfaces:
    `Serializable`, `Resource`, `Triple`, `Value`

      public class SimpleTriple
      extends AbstractTriple

  A simple default implementation of the `Triple` interface.
  Author:
    Pavel Mihaylov
  See Also:
    `SimpleValueFactory`, Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SimpleTriple​(Resource subject, IRI predicate, Value object)` | Creates a new Triple with the supplied subject, predicate and object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares this triple to another object.
    `Value` | `getObject()` | Gets the object of this triple.
    `IRI` | `getPredicate()` | Gets the predicate of this triple.
    `Resource` | `getSubject()` | Gets the subject of this triple.
    `int` | `hashCode()` | Computes the hash code of this triple.
    `String` | `stringValue()` | Returns the String-value of a Value object.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Triple

      `isTriple`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral`

- - ### Constructor Detail

    - #### SimpleTriple

          protected SimpleTriple​(Resource subject,
                                 IRI predicate,
                                 Value object)

      Creates a new Triple with the supplied subject, predicate and object.

      Note that creating SimpleStatement objects directly via this constructor is not the recommended approach. Instead, use an instance of `ValueFactory` to create new Triple objects.

      Parameters:
        `subject` - The triple's subject, must not be null.
        `predicate` - The triple's predicate, must not be null.
        `object` - The triple's object, must not be null.
      See Also:
        `SimpleValueFactory.createTriple(Resource, IRI, Value)`

  - ### Method Detail

    - #### getSubject

          public Resource getSubject()

      Description copied from interface: `Triple`
      Gets the subject of this triple.
      Returns:
        The triple's subject.

    - #### getPredicate

          public IRI getPredicate()

      Description copied from interface: `Triple`
      Gets the predicate of this triple.
      Returns:
        The triple's predicate.

    - #### getObject

          public Value getObject()

      Description copied from interface: `Triple`
      Gets the object of this triple.
      Returns:
        The triple's object.

    - #### stringValue

          public String stringValue()

      Description copied from interface: `Value`
      Returns the String-value of a Value object. This returns either a `Literal`'s label, a `IRI`'s URI or a `BNode`'s ID.
      Specified by:
        `stringValue` in interface `Value`
      Overrides:
        `stringValue` in class `AbstractTriple`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractTriple`

    - #### equals

          public boolean equals​(Object o)

      Description copied from interface: `Triple`
      Compares this triple to another object.
      Specified by:
        `equals` in interface `Triple`
      Overrides:
        `equals` in class `AbstractTriple`
      Parameters:
        `o` - the object to compare this triple to
      Returns:
        `true` if the `other` object is an instance of `Triple` and if their subjects, predicates and objects are equal; `false` otherwise

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Triple`
      Computes the hash code of this triple.
      Specified by:
        `hashCode` in interface `Triple`
      Overrides:
        `hashCode` in class `AbstractTriple`
      Returns:
        a hash code for this triple computed as `Objects.hash`( `Triple.getSubject()`, `Triple.getPredicate()`, `Triple.getObject()`)